﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Filters;
using TFC.Helpers;

namespace TFC.Controllers
{
    public class ContabilidadController : BaseController
    {
        private const string MODULO = "Contabilidad";

        //
        // GET: /Contabilidad/

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Grupos()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult Cuentas()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult Subcuentas()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult EmisionRecibos()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult GestionRecibos()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult Diario()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

    }
}
