﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
//using TFC.Utility;
using TFC.Filters;
using System.Web.Security;

namespace TFC.Controllers
{
    [HandleError]
    public class HomeController : BaseController
    {
        public ActionResult Index()
        {

            //Guardamos los roles del usuario en una variable de sesión 
            String[] roles = Roles.GetRolesForUser();
            String rolesUsu = string.Empty;

            foreach (string rol in roles)
            {
                if (rolesUsu == string.Empty)
                {
                    rolesUsu = rol;
                }
                else
                {
                    rolesUsu += ", " + rol;
                }
            }

            Session["roles"] = rolesUsu;

            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Página de descripción de la aplicación.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Página de contacto.";

            return View();
        }
    }
}
