﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Helpers;

namespace TFC.Controllers
{
    public class DatosMaestrosController : BaseController
    {
        private const string MODULO = "DatosMaestros";

        //
        // GET: /DatosMaestros/

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult Administradores()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult Comunidades()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult Propiedades()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult Propietarios()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult EjerciciosCargos()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult TiposPropiedad()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult CargosComunidad()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult Paises()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult Provincias()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

    }
}
