﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TFC.Filters;
using TFC.Helpers;

namespace TFC.Controllers
{
    public class InformesController : BaseController
    {
        private const string MODULO = "Informes";

        //
        // GET: /Informes/

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult IngresosYGastos()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }

        public ActionResult EstadoComunidad()
        {
            List<MenuItem> items = GetMenu(MODULO);

            ViewBag.MenuItems = items;
            return View();
        }
    }
}
